> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/resources/test-cards-and-ach-accounts.md).

# Test Cards & ACH Accounts

To help you validate your integration, you can use the following test card and ACH account details to run transactions in the sandbox environment.

{% hint style="warning" %}
Don't use these test cards and ACH accounts in the production environment.
{% endhint %}

### Test Cards

<table><thead><tr><th valign="top">Card Type</th><th valign="top">Card Number</th><th valign="top">Expiration Date</th><th valign="top">Security Code</th><th valign="top">Billing Zip Code</th></tr></thead><tbody><tr><td valign="top">Visa</td><td valign="top">4012 0000 9876 5439</td><td valign="top">MM/YY<br>Any future date</td><td valign="top">999</td><td valign="top">85284</td></tr><tr><td valign="top">MasterCard</td><td valign="top">5499 7400 0000 0057</td><td valign="top">MM/YY<br>Any future date</td><td valign="top">998</td><td valign="top">85284</td></tr><tr><td valign="top">MasterCard</td><td valign="top">2223 0000 4840 0011</td><td valign="top">MM/YY<br>Any future date</td><td valign="top">998</td><td valign="top">85284</td></tr><tr><td valign="top">AMEX</td><td valign="top">3714 496353 92376</td><td valign="top">MM/YY<br>Any future date</td><td valign="top">9997</td><td valign="top">85284</td></tr><tr><td valign="top">Discover<br>(Use to test Surcharge Credit)</td><td valign="top">6011 0009 9302 6909</td><td valign="top">MM/YY<br>Any future date</td><td valign="top">996</td><td valign="top">85284</td></tr><tr><td valign="top">Diners</td><td valign="top">3055 155515 1618</td><td valign="top">MM/YY<br>Any future date</td><td valign="top">996</td><td valign="top">85284</td></tr><tr><td valign="top">JCB</td><td valign="top">3530 1420 1994 5859</td><td valign="top">MM/YY<br>Any future date</td><td valign="top">996</td><td valign="top">85284</td></tr></tbody></table>

### ACH Test Account

{% hint style="warning" %}
Don't use these numbers for ACH test transactions over $25.
{% endhint %}

<table><thead><tr><th valign="top">Routing Number</th><th valign="top">Account Number</th></tr></thead><tbody><tr><td valign="top">490000018</td><td valign="top">Any digits</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xplorpay.com/api-reference/resources/test-cards-and-ach-accounts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
